### Function

# Gtk.Native.get_for_surface

#### Declaration [src]

    GtkNative*
    gtk_native_get_for_surface (
      GdkSurface* surface
    )

#### Description [src]

Finds the `GtkNative` associated with the surface.

#### Parameters

`surface` | `GdkSurface*`
| a `GdkSurface`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkNative`
the `GtkNative` that is associated with `surface`
Ownership is not transferred to the caller